#if !defined(AFX_SHELLDIALOG_H__307685D1_CBE4_11D0_9F3A_0000C0839FE8__INCLUDED_)
#define AFX_SHELLDIALOG_H__307685D1_CBE4_11D0_9F3A_0000C0839FE8__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000
// ShellDialog.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// ShellDialog dialog
class COpenGLView;

class ShellDialog : public CDialog
{
// Construction
public:
	ShellDialog(CWnd* pParent = NULL);   // standard constructor
	ShellDialog(COpenGLView *pView);   // standard constructor
        BOOL Create();
// Dialog Data
	//{{AFX_DATA(ShellDialog)
	enum { IDD = IDD_DIALOG1 };
	CEdit	m_editr;
	CEdit	m_editg;
	CEdit	m_editb;
	CButton	m_matcheck;
	CEdit	m_editincrement;
	CEdit	m_editlamdar;
	CEdit	m_editinitz;
	CEdit	m_editinitr;
	CEdit	m_editrevolution;
	CEdit	m_editscalez;
	CEdit	m_editscaley;
	CEdit	m_editscalex;
	CEdit	m_editpoint;
	CButton	m_loopcheck;
	CEdit	m_editz;
	CEdit	m_edity;
	CEdit	m_editx;
	CButton	m_lightcheck;
	CButton	m_revup;
	CButton	m_revdown;
	int		m_solid;
	int		m_smooth;
	BOOL	m_lightinit;
	float	m_spinx;
	float	m_spiny;
	float	m_spinz;
	BOOL	m_loopinit;
	int		m_initp;
	int		m_sping;
	int		m_spinb;
	int		m_spinr;
	float	m_scalex;
	float	m_scaley;
	float	m_scalez;
	int		m_revolution;
	float	m_initr;
	float	m_initz;
	float	m_lamdar;
	int		m_increment;
	BOOL	m_matinit;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(ShellDialog)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(ShellDialog)
	afx_msg void OnRevdown();
	afx_msg void OnRevup();
	afx_msg void OnSmooth();
	afx_msg void OnFlat();
	afx_msg void OnLight();
	afx_msg void OnSolid();
	afx_msg void OnWireframe();
	virtual BOOL OnInitDialog();
        virtual void OnOK();
	afx_msg void OnVScroll(UINT nSBCode, UINT nPos, CScrollBar* pScrollBar);
	afx_msg void OnButx();
	afx_msg void OnButy();
	afx_msg void OnButz();
	afx_msg void OnLoopcheck();
	afx_msg void OnButpoint();
	afx_msg void OnButinitr();
	afx_msg void OnButinitz();
	afx_msg void OnButlamdar();
	afx_msg void OnButrevolution();
	afx_msg void OnButscalex();
	afx_msg void OnButscaley();
	afx_msg void OnButscalez();
	afx_msg void OnButincrement();
	afx_msg void OnMatcheck();
	afx_msg void OnButgreen();
	afx_msg void OnButblue();
	afx_msg void OnButred();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
private:
	COpenGLView* m_pView;

};

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_SHELLDIALOG_H__307685D1_CBE4_11D0_9F3A_0000C0839FE8__INCLUDED_)
